Subject: Re: [Intel-wired-lan] [PATCH v2 iwl-next 1/9] ice: use ice_pf_src_tmr_owned where available

From: Leon Romanovsky <[email-masked]>
Date: Tue, 22 Aug 2023 18:48:10 +0300

On Tue, Aug 22, 2023 at 04:44:29PM +0200, Przemek Kitszel wrote:
> On 8/22/23 16:13, Leon Romanovsky wrote:
> > On Tue, Aug 22, 2023 at 09:02:11AM +0200, Simon Horman wrote:
> > > On Sat, Aug 19, 2023 at 02:52:49PM +0300, Leon Romanovsky wrote:
> > > > On Thu, Aug 17, 2023 at 04:17:38PM +0200, Karol Kolacinski wrote:
> > > > > The ice_pf_src_tmr_owned() macro exists to check the function capability
> > > > > bit indicating if the current function owns the PTP hardware clock.
> > > > 
> > > > This is first patch in the series, but I can't find mentioned macro.
> > > > My net-next is based on 5b0a1414e0b0 ("Merge branch 'smc-features'")
> > > > ➜  kernel git:(net-next) git grep ice_pf_src_tmr_owned
> > > > shows nothing.
> > > > 
> > > > On which branch is it based?
> > > 
> > > Hi Leon,
> > > 
> > > My assumption is that it is based on the dev-queue branch of
> > > https://git.kernel.org/pub/scm/linux/kernel/git/tnguy/next-queue.git
> > 
> > So should netdev readers review it or wait till Intel folks perform
> > first pass on it?
> 
> Most of the time Intel folks would be first to review, if only because of
> our pre-IWL processes or pure familiarity/interest in given piece.
> 
> For this particular series, it is about right "codewise" since v1, so you
> are welcome for an insightful look at v3
> (I didn't provided my RBs so far because of "metadata" issues :),
> will take a fresh look, but you don't need to wait).
> 
> 
> General idea for CC'ing netdev for IWL-targeted patches is to have open
> develompent process.
> Quality should be already as for netdev posting.
> Our VAL picks up patches for testing from here when Tony marks them so.
> 
> That's what I could say for review process.
> 
> "Maintainers stuff", I *guess*, is:
> after review&test Tony Requests netdev Maintainers to Pull
> (and throttles outgoing stuff by doing so to pace agreed upon).
> At that stage is a last moment for (late?) review, welcomed as always.

It means that we (netdev@... ) will see "same" patches twice, am I right?

Thanks

> 
> 
> 
> > 
> > Thanks
> > _______________________________________________
> > Intel-wired-lan mailing list
> > [email-masked]
> > https://lists.osuosl.org/mailman/listinfo/intel-wired-lan
> 
>